import {BasicColumn, FormSchema} from "@/components/Table";

export const myTagFormSchema: FormSchema[] = [
  {
    field: 'name',
    component: 'Input',
  },
  {
    field: 'dept',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '权属机构',
          value: '权属机构',
        },
      ],
    },
  },
  {
    field: 'putStatus',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '上架状态',
          value: '上架状态',
        },
      ],
    },
  },
];
export const myTagColumns: BasicColumn[] = [
  {
    title: '标签名称',
    dataIndex: 'name',
  },
  {
    title: '描述',
    dataIndex: 'desc',
  },
  {
    title: '权属机构',
    dataIndex: 'dept',
  },
  {
    title: '创建时间',
    dataIndex: 'createTime',
  },
  {
    title: '上架状态',
    dataIndex: 'putStatus',
  },
];
